## libsbml 5.20.5+dfsg

=== debian/changelog ===
libsbml (5.20.5+dfsg-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/rules: pass Octave private libraries path to dh_shlibdeps.
    Necessary for finding liboctmex against which MEX files are linked.
    (Closes: #1114640)

  [ Andreas Tille ]
  * d/watch: version=5
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Sat, 13 Dec 2025 15:24:31 +0100
